Video Channels
Operations dealing with the creation, modification and listing of videos within a channel.
- GETList videos of a video channel
- GETList video channels of an account
- GETList the synchronizations of video channels of an account
List video channels
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Create a video channel
Body
displayNameanyrequiredChannel display name
descriptionanyChannel description
supportanyHow to support/fund the channel
publicEmailstring<email> | nullPublic email visible in podcast RSS feeds
nameusernameChannelrequiredusername of the channel to create
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get a video channel
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Update a video channel
Body
displayNameanyChannel display name
descriptionanyChannel description
supportanyHow to support/fund the channel
publicEmailstring<email> | nullPublic email visible in podcast RSS feeds
bulkVideosSupportUpdatebooleanUpdate the support field for all videos of this channel
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete a video channel
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List activities of a video channel
PeerTube >= 8.0
Parameters
channelHandlestringrequiredpathThe video channel handle
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
List playlists of a channel
Parameters
channelHandlestringrequiredpathThe video channel handle
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Reorder channel playlists
Body
startPositioninteger>= 1requiredStart position of the element to reorder
insertAfterPositioninteger>= 0requiredNew position for the block to reorder, to add the block before the first element
reorderLengthinteger>= 1How many element from startPosition to reorder
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List followers of a video channel
Parameters
channelHandlestringrequiredpathThe video channel handle
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringcreatedAtquerySort followers by criteria
searchstringqueryPlain text search, applied to various parts of the model depending on endpoint
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Update channel avatar
Body
multipart/form-dataobjectavatarfileimage/png, image/jpegavatarfilestring<binary>The file to upload.
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
image file too large
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete channel avatar
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Import videos in channel
Import a remote channel/playlist videos into a channel
Body
externalChannelUrlstringrequiredhttps://youtube.com/c/UC_myfancychannelvideoChannelSyncIdintegerIf part of a channel sync process, specify its id to assign video imports to this channel synchronization
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Search channels
Parameters
searchstringrequiredqueryString to search. If the user can make a remote URI search, and the string is an URI then the PeerTube instance will fetch the remote object and add it to its database. Then, you can use the REST API to fetch the complete channel information and interact with it.
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
searchTargetstringlocalsearch-indexqueryIf the administrator enabled search index support, you can override the default search target.
Warning: If you choose to make an index search, PeerTube will get results from a third party service. It means the instance may not yet know the objects you fetched. If you want to load video/channel information:
- If the current user has the ability to make a remote URI search (this information is available in the config endpoint), then reuse the search API to make a search using the object URI so PeerTube instance fetches the remote object and fill its database. After that, you can use the classic REST API endpoints to fetch the complete object or interact with it
- If the current user doesn't have the ability to make a remote URI search, then redirect the user on the origin instance or fetch the data from the origin instance API
sortstringquerySort column
hoststringqueryFind elements owned by this host
handlesanyqueryFind elements with these handles
Response
successful operation
search index unavailable
List channel collaborators
PeerTube >= 8.0
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Invite a collaborator
PeerTube >= 8.0 Invite a local user to collaborate on the specified video channel.
Body
accountHandlestringLocal user username to invite
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
Collaborator invited
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Accept a collaboration invitation
PeerTube >= 8.0
Parameters
channelHandlestringrequiredpathThe video channel handle
The collaborator id
Response
Collaboration accepted
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Reject a collaboration invitation
PeerTube >= 8.0
Parameters
channelHandlestringrequiredpathThe video channel handle
The collaborator id
Response
Collaboration rejected
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Remove a channel collaborator
PeerTube >= 8.0 Only the channel owner or the collaborator themselves can remove a collaborator from a channel
Parameters
channelHandlestringrequiredpathThe video channel handle
The collaborator id
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
